Kerbal Space Program - Bug #15975

Screen flickering making the game unplayable on Mac OS High Sierra GM.
09/17/2017 03:48 PM - conmccray

Status: Closed Start date: 09/17/2017
Severity: Normal % Done: 100%
Assignee:

Category: Camera

Target version: 1.4.0

Version: Build 01863 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Game will load completely without a hitch but once it shows the main menu it freaks out. Any non-moving screen is fine. | am on High
Sierra Gold Master, it implemented Metal 2. And that may be the case of why it doesn't work. The official High Sierra release comes
out the 22nd of September. Let me know if there is any more information that y'all may need.

History

#1 - 09/18/2017 08:03 AM - bewing
Yeah, | don't think Unity supports that OS version yet. And if our base library can't support the OS version .....

#2 - 09/20/2017 06:10 PM - babeltester04

Issue does not occur on build 01867.
This was verified on the following machine:

Audio Mac Pro

CPU:2x 2.8 GHz Quad-Core Intel Xeon
RAM: 4GB 800 MHz DDR2 FB-DIMM
GPU: ATI Radeon HD 2600 256 MB

#4 - 10/05/2017 02:35 PM - Squelch

- Project changed from KSP Pre-Release to Kerbal Space Program
- Category changed from Graphics to 30

- Status changed from New to Investigating

- % Done changed from 0 to 20

We are aware of the impact that 10.13 High Sierra has on some Unity games, and this is currently being investigated. The problem is not unique to
1.3.1 Pre_Release, so I'm moving the report to the main tracker.

#5 - 02/27/2018 01:32 PM - babeltester07

Issue has not been observed on Mac Mini, High Sierra V.10.13.3.
CPU: 1.4GHz Intel i5

RAM: 4GB 1600 DDR3

GPU: Intel HD 5000 1536Mb

Tested in app. version 1.4.0.2055.

Tested in both windowed and fullscreen, on default graphical settings.

#6 - 03/07/2018 12:53 AM - Squelch
- Status changed from Investigating to Ready to Test
- Target version set to 1.4.0

- % Done changed from 20 to 80

#7 - 03/11/2018 07:24 PM - willwill2will@gmail.com

- Status changed from Ready to Test to Resolved

04/09/2024 12




- % Done changed from 80 to 100

Appears to be fixed on MacBook pro 2017 with Intel Iris Plus Graphics 640 1536 MB GPU. Setting to resolved.

#8 - 03/20/2018 11:40 AM - Squelch

- Severity changed from Critical to Normal

#9 - 10/15/2018 07:03 PM - joshua.collins

- Status changed from Resolved to Closed
